## debroster 1.5

=== Makefile ===
DESTDIR=/vsoft/home/matthew/debroster-1.0/debian/tmp

all:

install: control_roster.sh maintainers.awk maintainers2.awk scroll.sh eterm.sh maintainers.sh roster.sh
	cp *.sh $(DESTDIR)/usr/lib/debroster/
	cp *.awk $(DESTDIR)/usr/lib/debroster/
	cp *.jpg $(DESTDIR)/usr/lib/debroster/
	mv $(DESTDIR)/usr/lib/debroster/control_roster.sh $(DESTDIR)/usr/bin/control_roster

=== debian/changelog ===
debroster (1.5) unstable; urgency=low

  * Change Eterm to eterm in control file (closes:#54998)

 -- Matthew Vernon <matthew@debian.org>  Thu, 13 Jan 2000 15:45:16 +0000
	

debroster (1.4) unstable; urgency=low

  * Fix the locate problem without performance hits (closes:#47036)

 -- Matthew Vernon <matthew@debian.org>  Tue, 07 Dec 1999 15:58:27 +0000
	

debroster (1.3) unstable; urgency=low

  * Fixes from Shaleh (closes: #47858, 47036)
  * Corrected the name in README.Debian (closes: #47995)
  * Bug-free again :)

 -- Matthew Vernon <matthew@debian.org>  Fri, 29 Oct 1999 10:53:02 +0100 
	

debroster (1.2) unstable; urgency=low

  * Moved all but control_roster to /usr/lib/debroster (closes: #46285)
  * Fixed the location of openlogo.jpg (closes: #46283, #46284)
  * Fixed some packaging errors
  
 -- Matthew Vernon <matthew@debian.org>  Thu, 30 Sep 1999 10:41:10 +0100

debroster (1.1) unstable; urgency=low
  
  * Fixed Version numbering
  * Fixed a couple of typos
	
 -- Matthew Vernon <matthew@debian.org>  Wed, 01 Sep 1999 12:55:15 +0100

debroster (1.0-1) unstable; urgency=low

  * Initial Release.
  * Brand New Software(TM)

 -- Matthew Vernon <matthew@debian.org>  Fri, 20 Aug 1999 15:42:29 +0100


Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: debroster
Section: misc
Priority: optional
Maintainer: Matthew Vernon <matthew@debian.org>
Standards-Version: 2.5.1

Package: debroster
Architecture: any
Depends: awk,bash, xterm|eterm
Recommends: eterm
Description: A package for use at expos.
 Debroster starts up an eterm with the Debian logo as the background,
 with a randomly-ordered list of the current developers scrolling up 
 the screen. Use it to show just how many people contribute to the 
 Debian project - and so why we are so damn good :-)

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debroster 1.9

=== debian/changelog ===
debroster (1.9) unstable; urgency=low

  * Make scroll.sh use more up-to-date syntax

 -- Matthew Vernon <matthew@debian.org>  Wed, 13 Mar 2002 00:43:45 +0000
	

debroster (1.8) unstable; urgency=high

  * Add a Build-Depends line (closes: #102745)
  * Remove the bash dependancy, since bash is essential
  * Spell licences incorrectly, as policy specifies
  * Depend on gawk|awk, rather than awk
	
 -- Matthew Vernon <matthew@debian.org>  Sat, 01 Dec 2001 23:13:13 +0000

debroster (1.7) unstable; urgency=low

  * Put a space between -P and its argument (closes: #98551)

 -- Matthew Vernon <matthew@debian.org>  Wed, 27 June 2001 19:48:11 +0100
	

debroster (1.6) unstable; urgency=low

  * Center each line
  * Use a sane character set

 -- Matthew Vernon <matthew@debian.org>  Tue, 17 Apr 2001 18:26:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Standards-Version: 2.5.1
+Build-Depends: debhelper
+Standards-Version: 3.2.1.0
 
 Package: debroster
 Architecture: any
-Depends: awk,bash, xterm|eterm
+Depends: gawk|awk, xterm|eterm
 Recommends: eterm
 Description: A package for use at expos.
  Debroster starts up an eterm with the Debian logo as the background,

## debroster 1.11

=== Makefile ===
DESTDIR=/vsoft/home/matthew/debroster-1.0/debian/tmp

all:

install: dr.sh roster.sh
	cp {dr,roster}.sh $(DESTDIR)/usr/lib/debroster/
	cp *.jpg $(DESTDIR)/usr/lib/debroster/
	mv $(DESTDIR)/usr/lib/debroster/roster.sh $(DESTDIR)/usr/bin/debroster

=== debian/changelog ===
debroster (1.11) unstable; urgency=medium

  * dr.sh needs #!/bin/bash (closes: #218427)

 -- Matthew Vernon <matthew@debian.org>  Sun, 09 Nov 2003 10:11:34 +0000
	

debroster (1.10) unstable; urgency=low

  * Quote variables properly (closes: #139165)
  * Reduce the number of scrips greatly

 -- Matthew Vernon <matthew@debian.org>  Tue, 04 Jun 2002 21:33:49 +0100
	

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: debroster
 Architecture: any
-Depends: gawk|awk, xterm|eterm
+Depends: eterm|xterm
 Recommends: eterm
 Description: A package for use at expos.
  Debroster starts up an eterm with the Debian logo as the background,

## debroster 1.12

=== Makefile ===
DESTDIR=/vsoft/home/matthew/debroster-1.0/debian/tmp

all:

install: dr.sh roster.sh
	cp dr.sh $(DESTDIR)/usr/lib/debroster/
	cp roster.sh $(DESTDIR)/usr/lib/debroster/
	cp *.jpg $(DESTDIR)/usr/lib/debroster/
	mv $(DESTDIR)/usr/lib/debroster/roster.sh $(DESTDIR)/usr/bin/debroster

=== debian/changelog ===
debroster (1.12) unstable; urgency=low

  * remove a bashism from rules, change architecture to any
  * Hurd systems have copyright files in the same place...
  * A few other bits of tidying up (closes: #221760)
  * Move us to Apps/Tools, since Apps/Misc is a bit naughty (closes: #201128)

 -- Matthew Vernon <matthew@debian.org>  Sat, 15 Jan 2005 21:20:25 +0000
	

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.2.1.0
 
 Package: debroster
-Architecture: any
+Architecture: all
 Depends: eterm|xterm
 Recommends: eterm
 Description: A package for use at expos.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 build-stamp:
 	dh_testdir
 
-	
+
 	# Add here commands to compile the package.
 	$(MAKE) 
 
@@ -39,12 +39,8 @@
 
 	touch install-stamp
 
-# Build architecture-independent files here.
+#Build arch-independant files here
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 #	dh_testversion
 	dh_testdir
 	dh_testroot
@@ -71,8 +67,5 @@
 	dh_md5sums
 	dh_builddeb
 
-source diff:                                                                  
-	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary

## debroster 1.13

=== debian/changelog ===
debroster (1.13) unstable; urgency=low

  * Sort on first and second name of maintainer (closes: #368098)
  * Rebuilding finishes /usr/doc transition (closes: #359378)

 -- Matthew Vernon <matthew@debian.org>  Wed, 31 May 2006 22:24:33 +0100

## debroster 1.15

=== debian/changelog ===
debroster (1.15) unstable; urgency=low

  * Change priority to extra in debian/control

 -- Matthew Vernon <matthew@debian.org>  Mon, 30 Oct 2006 05:17:34 +0000

debroster (1.14) unstable; urgency=low

  * Include a stub binary-arch target (closes: #395589)

 -- Matthew Vernon <matthew@debian.org>  Mon, 30 Oct 2006 04:33:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: debroster
 Section: misc
-Priority: optional
+Priority: extra
 Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: debhelper
 Standards-Version: 3.2.1.0

## debroster 1.17

=== debian/changelog ===
debroster (1.17) unstable; urgency=low

  * Patch by Phil Hands <phil@hands.com> to fix the fact that the output
    seemed to be not really random enough (AJ came up about once per third
    screenful in Steve's DC8 talk, and went by at least twice) -- now
    using unsort to randomise the order at the start of each
    repeat. (closes: #494722)

 -- Matthew Vernon <matthew@debian.org>  Mon, 11 Aug 2008 21:17:05 +0100
  

debroster (1.16) unstable; urgency=low

  * Move arch-independent data from /usr/lib to /usr/share (closes: #494544)
  * (Thanks to Chris Lamb for a very speedy patch!)
  
 -- Matthew Vernon <matthew@debian.org>  Mon, 11 Aug 2008 07:46:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: debroster
 Architecture: all
-Depends: eterm|xterm
+Depends: eterm|xterm, unsort
 Recommends: eterm
 Description: A package for use at expos.
  Debroster starts up an eterm with the Debian logo as the background,

=== debian/rules ===
--- 
+++ 
@@ -67,5 +67,8 @@
 	dh_md5sums
 	dh_builddeb
 
+binary-arch:
+
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary

## debroster 1.18

=== debian/changelog ===
debroster (1.18) unstable; urgency=low

  * Remove call to dh_suidregister (which wasn't actually doing anything)
    (closes: #785388)
  * Note changed location of xterm
  * Don't search for Eterm if it can't be found in the standard location
    or by 'which' (closes: #200923)
  * Use utf8, thanks to Alexander Schmehl for the patch (closes: #292362)
  * Bump standards-version, and simplify rules file
  
 -- Matthew Vernon <matthew@debian.org>  Sun, 17 May 2015 12:55:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: extra
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: debhelper
-Standards-Version: 3.2.1.0
+Build-Depends: debhelper (>=9)
+Standards-Version: 3.9.4
 
 Package: debroster
 Architecture: all
-Depends: eterm|xterm, unsort
+Depends: eterm|xterm, unsort, ${misc:Depends}
 Recommends: eterm
 Description: A package for use at expos.
  Debroster starts up an eterm with the Debian logo as the background,

## debroster 1.18+nmu1

=== Makefile ===
DESTDIR=/vsoft/home/matthew/debroster-1.0/debian/tmp

all:

install: dr.sh roster.sh
	cp dr.sh $(DESTDIR)/usr/share/debroster/
	cp roster.sh $(DESTDIR)/usr/share/debroster/
	cp *.jpg $(DESTDIR)/usr/share/debroster/
	mv $(DESTDIR)/usr/share/debroster/roster.sh $(DESTDIR)/usr/bin/debroster

=== debian/changelog ===
debroster (1.18+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 14:10:53 +0100

## debroster 1.19

=== debian/changelog ===
debroster (1.19) unstable; urgency=medium

  [ Andreas Tille ]
  * Maintain package on Salsa
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Lintian-overrides for
     - using-first-person-in-description
     - uses-dpkg-database-directly
  * Synopsis should not be a sentence
  * d/copyright: DEP5

  [ Matthew Vernon ]
  * Specify source format 1.0 explicitly
  * Construct a proper git history for this package
  * Install the manpage
  
 -- Matthew Vernon <matthew@debian.org>  Wed, 08 Jan 2025 16:44:14 +0000

=== debian/control ===
Source: debroster
Maintainer: Matthew Vernon <matthew@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/debroster
Vcs-Git: https://salsa.debian.org/debian/debroster.git

Package: debroster
Architecture: all
Depends: eterm|xterm,
         unsort,
         ${misc:Depends}
Recommends: eterm
Description: package for use at expos
 Debroster starts up an eterm with the Debian logo as the background,
 with a randomly-ordered list of the current developers scrolling up
 the screen. Use it to show just how many people contribute to the
 Debian project - and so why we are so damn good :-)

## debroster 1.19build1

=== debian/changelog ===
debroster (1.19build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:50:40 +0000
